Page MenuHomePhabricator

Dump page shows a warning about encryption for elections that are not encrypted
Closed, ResolvedPublic

Description

Going to Special:SecurePoll/dump/$id$ (where $id$ is the election ID) gives you a dump of the election if it is configured as an encrypted election and the decryption key is provided in the database. If the election is configured as not being encrypted, the dump page should then provide the data dump; however, because in such a scenario no decryption key exists, it will complain about that and refuses to provide a dump.

Instead, it should provide an unencrypted dump of the election configurations and votes.

Details

Related Gerrit Patches:
mediawiki/extensions/SecurePoll : masterDump page should work for non-encrypted elections too

Event Timeline

Huji created this task.Sep 14 2016, 2:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 14 2016, 2:49 PM

Change 310558 had a related patch set uploaded (by Huji):
Dump page should work for non-encrypted elections too

https://gerrit.wikimedia.org/r/310558

Huji claimed this task.Sep 14 2016, 3:01 PM
Huji triaged this task as Low priority.
Huji updated the task description. (Show Details)Sep 14 2016, 3:54 PM
Huji updated the task description. (Show Details)Oct 10 2016, 9:12 PM

Change 310558 merged by jenkins-bot:
Dump page should work for non-encrypted elections too

https://gerrit.wikimedia.org/r/310558

Huji closed this task as Resolved.Nov 27 2016, 4:34 AM
Huji removed a project: Patch-For-Review.